aboutsummaryrefslogtreecommitdiffstats
path: root/vid/src/main/swm/install/preproc/pre_proc
diff options
context:
space:
mode:
authorDR695H <dr695h@att.com>2017-02-07 13:11:03 -0500
committerDR695H <dr695h@att.com>2017-02-07 13:12:28 -0500
commit13ce0552dc7156b6e3e226c00295705f27780a40 (patch)
treea9ada50d0a86c0fdc253c188d1328f6e880bfaf5 /vid/src/main/swm/install/preproc/pre_proc
parent77b87f76ff2799bd1f5fe85552f1c5e7081eb4df (diff)
actually adding the files to the initial commit
Change-Id: I2f0c09692c2ae70be61b8bb552fd1bd2983eb661 Signed-off-by: DR695H <dr695h@att.com>
Diffstat (limited to 'vid/src/main/swm/install/preproc/pre_proc')
-rw-r--r--vid/src/main/swm/install/preproc/pre_proc18
1 files changed, 18 insertions, 0 deletions
diff --git a/vid/src/main/swm/install/preproc/pre_proc b/vid/src/main/swm/install/preproc/pre_proc
new file mode 100644
index 000000000..f4eb9b11d
--- /dev/null
+++ b/vid/src/main/swm/install/preproc/pre_proc
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+COMMON_SCRIPT=${DIR}/../../common/common.sh
+
+source "${COMMON_SCRIPT}" || {
+ echo "ERROR: Common script failed"
+ exit 1
+}
+
+if [ -f "${TOMCAT_HOME}/bin/shutdown.sh" ]; then
+ "${TOMCAT_HOME}/bin/shutdown.sh"
+
+ if [ -d "${TOMCAT_HOME}/webapps/${VID_ENDPOINT_NAME}" ]; then
+ rm -r "${TOMCAT_HOME}/webapps/${VID_ENDPOINT_NAME}"
+ fi
+fi
+